# $Revision: 1.40 $, $Date: 2001/11/26 16:28:54 $
Summary:	Window Maker dock applet resembling a miniature pinboard
Summary(pl):	Dokowalna miniaturowa tablica na notatki dla WindowMakera 
Name:		wmpinboard 
Version:	1.0
Release:	4
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://www.tu-ilmenau.de/~gomar/stuff/wmpinboard/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
URL:		http://www.tu-ilmenau.de/~gomar/stuff/wmpinboard/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
wmpinboard is a tiny, simple applet designed to be docked to Window
Maker's dock or workspace clip. It resembles a miniaturized pinboard
which tiny, brightly colored notes can be "pinned" to. Because the
pinboard is limited to a size of less than 64x64 pixels, the notes of
course can't be read in this view. That's why each note can on demand
be viewed "full size", allowing for 8x5 (-1) characters to be
displayed.

%description -l pl
wmpinboard jest niewielkim, prostym apletem zaprojektowanym w sposb
umoliwiajcy umieszczenie go w Doku lub Spinaczu WindowMakera.
Przedstawia zminiaturyzowan tablic, do ktrej mog by "przypinane"
kolorowe karteczki z notatkami. Poniewa rozmiar tablicy jest
ograniczony do wymiarw 64x64 pixeli, notatki nie mog by oczywicie
w tym stanie widoczne. Dlatego te kada karteczka moe by na danie
rozwinita do "penych wymiarw", pozwalajc w ten sposb wywietli
do 8x5 (-1) znakw.

%prep
%setup -q

%build
aclocal
autoconf
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install wmpb-convert.pl	$RPM_BUILD_ROOT%{_bindir}
#install %{SOURCE1}	$RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf CREDITS ChangeLog NEWS README TODO AUTHORS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz

%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/wmpinboard.1*
#%{_applnkdir}/DockApplets/wmpinboard.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmpinboard.spec,v $
Revision 1.40  2001/11/26 16:28:54  blues
- release 4
- desktop is out
- fixes in files

Revision 1.39  2001/10/11 10:20:54  qboosh
- BuildRequires: autoconf, automake

Revision 1.38  2001/09/17 15:12:53  blues
- release 3
- ac2.5 ready

Revision 1.37  2001/05/23 02:14:55  qboosh
- use %%rpmldflags

Revision 1.36  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.35  2000/07/15 15:15:53  kloczek
- release 2,
- spec adapterized,
- fix %%{_mandir}.

Revision 1.34  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.33  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/04/13 21:42:14  kloczek
- updated to 1.0.

Revision 1.31  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.30  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.29  2000/03/26 07:14:13  kloczek
- updated to 0.99.2.

Revision 1.28  2000/03/14 14:39:49  pius
- updated to 0.99

Revision 1.27  1999/10/27 09:11:14  pius
- updated to 0.10

Revision 1.26  1999/09/05 20:15:15  kloczek
- fixed path in %files to desktop file.

Revision 1.25  1999/09/05 20:11:11  kloczek
- updated to 0.9.2.

Revision 1.24  1999/09/05 20:07:59  kloczek
- release 2.

Revision 1.23  1999/09/04 10:10:43  pius
- cosmetics

Revision 1.22  1999/09/04 08:52:56  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.21  1999/08/31 20:05:03  pius
- updated to 0.9.1

Revision 1.20  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.19  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Jun 21 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [0.8.5-1]
- updated to 0.8.5.

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [0.8.4-1]
- based on spec made by Jochem Wichers Hoeth <wiho@chem.uva.nl>,
- spec rewritten by me and Artur Frysiak <wiget@pld.org.pl>.
